export declare type ProjectType = 'react' | 'react-native';
export declare type BuilderConfig = {
    id: string;
    name?: string;
    component: string;
    props?: any;
    propsFromContext?: {
        [propName: string]: {
            context: string;
            path?: string;
            fn?: string;
        };
    };
    handlers?: {
        [propName: string]: {
            context?: string;
            fn: string;
        };
    };
    children?: Array<BuilderConfig>;
};
export declare type View = {
    id: string;
    name: string;
    config: BuilderConfig;
} | null;
export declare type Theme = {
    name: string;
};
export declare type Project = {
    _id: string;
    name: string;
    type?: ProjectType;
    createdOn: Date;
    modifiedOn: Date;
    views: View[];
    mainView: string;
    themes: Theme[];
    defaultTheme: string;
} | null;
export declare type Platform = 'ios' | 'android' | 'web';
export declare type PropType = 'text' | 'number' | 'boolean' | 'array' | 'object' | 'color' | 'enum' | 'function';
export declare type Metadata = {
    props: {
        [propName: string]: {
            required?: boolean;
            type: PropType;
            metadata?: Metadata;
            platforms?: Platform[];
            options?: string[];
        };
    };
};
